VGGT-1B
Entegre et
vggt-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "vggt-1b",
"input": {}
}
VGGT-1B modelini (vggt-1b) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/vggt-1b.md
POST https://api.doitong.com/v1/run/vggt-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/vggt-1b, çalıştırmadan önce kesin fiyatı döndürür.
Çalıştırma başına $1,755 değerine kadar gerçek kullanıma göre ücretlendirilir, kalanı iade edilir Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/vggt-1b?wait=20
fiyat → $1,755
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "vggt-1b",
"input": {},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
VGGT-1B hakkında
Birden çok görünümden geometrinin tahminini yapar. `image_urls` içinde en fazla 48 görüntü sağlayın; isteğe bağlı olarak her `frame_sampling_rate` karede bir örneklenen bir `video_url` ekleyin. Kare başına derinlik haritaları, kamera dış ve iç parametrelerini, ham tahmin dosyalarını ve kamera konileri içeren bir GLB nokta bulutu döndürür. `confidence_percentile` ve `max_points`, nokta bulutunun yoğunluğunu belirler.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
image_urlsisteğe bağlı
images
video_urlisteğe bağlı
video
frame_sampling_rateisteğe bağlı
alpha_blend_ontoisteğe bağlı
export_prediction_dataisteğe bağlı
export_depth_mapsisteğe bağlı
export_point_cloudisteğe bağlı
array_encodingisteğe bağlı
exclude_keysisteğe bağlı
confidence_percentileisteğe bağlı
max_pointsisteğe bağlı
enable_safety_checkeristeğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "vggt-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1755,
"usd": "1.755",
"charged": 1755,
"refunded": 0
},
"input": {},
"output": {
"point_cloud": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"depth_maps": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prediction_data": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
],
"num_frames": 1,
"depth_range": [
1.0
],
"extrinsics": [
[
[
1.0
]
]
],
"intrinsics": [
[
[
1.0
]
]
],
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- point_cloud
- object {url, content_type, file_name, file_size} | null`export_point_cloud` true olduğunda döndürülen nokta bulutu dışa aktarımı; GLB sahnesi birleştirilmiş bulutu kamera konileriyle birleştirir.
- depth_maps
- array of object {url, content_type, file_name, file_size, width, height}`export_depth_maps` true olduğunda kullanılabilen derinlik haritası dışa aktarımı. Girdiler kaynak kare sırasını izler; her kare 16 bit derinlikli gri tonlu PNG raster olarak gösterilir.
- prediction_data
- array of object {url, content_type, file_name, file_size}Ham tahmin dışa aktarımı: `export_prediction_data` true olduğunda her karenin kendi JSON dosyası olur ve dosyalar kare sırasını izler.
- num_frames
- integerGörseller ve videodan örneklenen kareler dahil toplam yeniden oluşturulan kare sayısı.
- depth_range
- array of number`depth_maps` nicelemesi için kullanılan derinlik sınırları [min, max]. Derinliği min + pixel * (max - min) / 65535 olarak geri elde edin.
- extrinsics
- array of array of array of numberHer kare için 3x4 boyutlu dünyadan kameraya dışsal matrisler; OpenCV eksenleri x boyunca sağa, y boyunca aşağıya ve z boyunca ileriye yönelir.
- intrinsics
- array of array of array of numberHer kare için 3x3 boyutlu iğne deliği içsel matrisleri; modelin 518x518 karesinin piksel koordinatlarıyla ifade edilir.
- timings
- objectHer aşama için geçen gerçek zamanlı süre, saniye cinsinden.
Daha fazla model: Görsel
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/vggt-1b.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt